# Enum Class MeetingStatus

java.lang.Object
java.lang.Enum<MeetingStatus>
com.independentsoft.pst.MeetingStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<MeetingStatus>`, `Constable`

public enum MeetingStatus extends Enum<MeetingStatus>
The MeetingStatus enum specifies the status of an appointment or meeting.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCELED`
  The meeting was canceled.
  `CANCELED_ORGANIZER`
  The meeting was canceled by the organizer.
  `MEETING`
  The object is the organizer's copy of a meeting.
  `NON_MEETING`
  The object is an appointment, not a meeting.
  `NONE`
  The meeting status is not specified.
  `RECEIVED`
  The object is an attendee's received copy of a meeting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MeetingStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MeetingStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NON_MEETING

    public static final MeetingStatus NON_MEETING
    The object is an appointment, not a meeting.

  - ### MEETING

    public static final MeetingStatus MEETING
    The object is the organizer's copy of a meeting.

  - ### RECEIVED

    public static final MeetingStatus RECEIVED
    The object is an attendee's received copy of a meeting.

  - ### CANCELED_ORGANIZER

    public static final MeetingStatus CANCELED_ORGANIZER
    The meeting was canceled by the organizer.

  - ### CANCELED

    public static final MeetingStatus CANCELED
    The meeting was canceled.

  - ### NONE

    public static final MeetingStatus NONE
    The meeting status is not specified.

- ## Method Details

  - ### values

    public static MeetingStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MeetingStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null